Warning dialog box image too large and distorted

Bug #1635999 reported by David K on 2016-10-23
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
calibre
Undecided
Unassigned

Bug Description

I am running version 2.70 on macOS Sierra. Certain images within Calibre itself are distorted and look "zoomed-in". I have attached a screenshot that illustrate what is happening.

David K (davkamm) wrote :

Are you using a High DPI (retina) display?

 status incomplete

Changed in calibre:
status: New → Incomplete

Yes, I am using a Retina display. However, I used Calibre on the same
Retina display with experiencing this issue. I noticed the zoomed in icon
about 8 months ago and I have had my MacBook Pro with Retina display for
more than a year.

Thank you,
David
On Sun, Oct 23, 2016 at 2:40 PM Kovid Goyal <email address hidden>
wrote:

> Are you using a High DPI (retina) display?
>
> status incomplete
>
> ** Changed in: calibre
> Status: New => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1635999
>
> Title:
> Warning dialog box image too large and distorted
>
> Status in calibre:
> Incomplete
>
> Bug description:
> I am running version 2.70 on macOS Sierra. Certain images within
> Calibre itself are distorted and look "zoomed-in". I have attached a
> screenshot that illustrate what is happening.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/calibre/+bug/1635999/+subscriptions
>

Are you using a custom icon theme (via Preferences->Look & Feel->Change
icon theme)? Or have you installed custom icons manually in the calibre
config folder?

I am not using a custom icon theme in the screenshot. However, I have tried
several different themes (all changed through the Preferences section,
never through the calibre config folder) and the "this book will be
permanently deleted" dialog box always has the image zoomed in. I can send
you more screenshots using different icon themes if that will help.

On Sun, Oct 23, 2016 at 11:10 PM Kovid Goyal <email address hidden>
wrote:

> Are you using a custom icon theme (via Preferences->Look & Feel->Change
> icon theme)? Or have you installed custom icons manually in the calibre
> config folder?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1635999
>
> Title:
> Warning dialog box image too large and distorted
>
> Status in calibre:
> Incomplete
>
> Bug description:
> I am running version 2.70 on macOS Sierra. Certain images within
> Calibre itself are distorted and look "zoomed-in". I have attached a
> screenshot that illustrate what is happening.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/calibre/+bug/1635999/+subscriptions
>

Fixed in branch master. The fix will be in the next release. calibre is usually released every Friday.

 status fixreleased

Changed in calibre:
status: Incomplete → Fix Released

Thank you so much!

On Mon, Oct 24, 2016 at 4:50 AM Kovid Goyal <email address hidden>
wrote:

> Fixed in branch master. The fix will be in the next release. calibre is
> usually released every Friday.
>
> status fixreleased
>
> ** Changed in: calibre
> Status: Incomplete => Fix Released
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1635999
>
> Title:
> Warning dialog box image too large and distorted
>
> Status in calibre:
> Fix Released
>
> Bug description:
> I am running version 2.70 on macOS Sierra. Certain images within
> Calibre itself are distorted and look "zoomed-in". I have attached a
> screenshot that illustrate what is happening.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/calibre/+bug/1635999/+subscriptions
>

Eli Schwartz (eschwartz) wrote :

As per bug 1638408, this appears to still be a problem in 2.71.0

Changed in calibre:
status: Fix Released → New
David K (davkamm) wrote :

I have downloaded and installed the newest update, but I am still getting the distorted image on the delete warning dialog box. I have attached a screenshot.

Thank you

Kovid Goyal (kovid) wrote :

Hmm, works for me on my OS X machine. Although I dont have a retina screen, in OS X one can manually force a montor to high DPI mode. The icon renders correctly in that mode after my fix. Is there anywhere else in the UI you notice mis-rendered icons, perhaps I can spot some commonality.

Hello,

As far as I have been able to see, this is the only mis-rendered icon I am
seeing anywhere. However, in reference specifically to Calibre, I used to
see mis-rendered icons elsewhere, such as on the Preferences window in the
upper-left hand corner. That icon has been fine for a while now. I had
forgotten this previously.

Thank you.

On Tue, Nov 1, 2016 at 11:20 PM Kovid Goyal <email address hidden>
wrote:

> Hmm, works for me on my OS X machine. Although I dont have a retina
> screen, in OS X one can manually force a montor to high DPI mode. The
> icon renders correctly in that mode after my fix. Is there anywhere else
> in the UI you notice mis-rendered icons, perhaps I can spot some
> commonality.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1635999
>
> Title:
> Warning dialog box image too large and distorted
>
> Status in calibre:
> New
>
> Bug description:
> I am running version 2.70 on macOS Sierra. Certain images within
> Calibre itself are distorted and look "zoomed-in". I have attached a
> screenshot that illustrate what is happening.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/calibre/+bug/1635999/+subscriptions
>

I have implemented a different fix, hopefully that will take care of
it, try the next release.

 status fixreleased

Changed in calibre:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers